# Administration Reference

## kas stringtokey

Purpose

Converts a character string into an octal key

Synopsis

    kas stringtokey -string <password string>  [-cell <cell name>]  [-help]

    kas str -s <password string>  [-c <cell name>]  [-h]

Description

The kas stringtokey command converts the character string specified with the -string argument into an octal string suitable for use as an encryption key.

The kas command interpreter generates the octal key by using an encryption algorithm on the combination of the specified string and the name of the local cell (as recorded in the local /usr/vice/etc/ThisCell file). Use the -cell argument to convert a string into a key appropriate for a cell other than the local one.

Cautions

This command writes the key to the standard output stream, on which it can possibly be intercepted by third parties. It is not very secure to use the key in an actual Authentication Database entry.

Options

-string
  Specifies the character string to convert into an octal key.

-cell
  Specifies the complete Internet domain name of the cell to combine with the password string while generating the key. If this argument is omitted, the kas command interpreter determines the name of the local cell by consulting:

  - First, the value of the environment variable AFSCELL.

  - Second, the cellname in the /usr/vice/etc/ThisCell file on the local machine.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output is of the following form:

       Converting password string in realm 'cell_name' yields key='key'.

Examples

The following example shows the octal key equivalent of the string new_pswd in the ABC Corporation cell.

       % kas stringtokey new_pswd
       Converting new_pswd in realm 'ABC.COM' yields
           key='\346\307\364\320\263\233\342\354'.

Privilege Required

None, and no password is required.

Related Information

ThisCell (client version)

kas

© IBM Corporation 2000. All Rights Reserved